//Mesure d'une distance avec Arduino

const byte emetteur = 2;  //branché sur trig du HC-SR04
const byte recepteur = 3; //branché sur echo du HC-SR04
const unsigned long dureeEcho;    //variable type long  

/* Vitesse du son dans l'air en mm/us */
const float VitesseSon = 340.0 / 1000;

/* Constantes pour le timeout */
const unsigned long tempsMax = 25000UL; // 25ms = ~8m à 340m/s

void setup() {
  Serial.begin (9600);
  pinMode(emetteur, OUTPUT); 
  pinMode(recepteur, INPUT);
  digitalWrite(emetteur,LOW);
}

void loop() {
  //Émission d'un pulse ultrason sur la pin 13: emetteur allumé pour 10 microsecondes
  digitalWrite(emetteur, HIGH);
  delayMicroseconds(10); 
  digitalWrite(emetteur, LOW);

  //Mesure de la durée entre émission-réception de l'écho sur la pin 12
  int dureeEcho = pulseIn(recepteur, HIGH,tempsMax);
  //Calcul la distance à partir du temps mesuré */
  float distance_mm = dureeEcho / 2.0 * VitesseSon ;

  //Affiche les résultats en mm, cm et m */
  Serial.print("Distance: ");
  Serial.print(distance_mm);
  Serial.print("mm ;");
  Serial.print(distance_mm/10.0);
  Serial.println("cm .");

  if (distance_mm< 500 && distance_mm>200){
    tone(8,880,10);
  }
    else if (distance_mm<200){
      tone(8,880,100);
    }
  delay (100);
}
